@charset "utf-8";

/* ----------------------
 トップページ設定
---------------------- */
body {
    max-width: 400px;
}

.firstView {
    margin: 15% auto;
}

.firstView h1 {
    font-size: 1rem;
    margin: 5%;
    font-weight: 500;
}

.firstView img {
    width: 85%;
    height: auto;
    object-fit: cover;
    border-radius: 38px 0 0 38px;
    margin-left: 15%;
}

.title {
    margin: 10%;
    text-align: center;
}

h2 {
    font-size: 1.1rem;
}

.title h2::after {
    content: "";
    display: block;
    width: 25%;
    height: .5px;
    background-color: #777;
    margin: 5px auto;
}

.title h3 {
    font-size: .7rem;
}

.ctTxt p {
    text-align: justify;
    margin: 0 15% 20%;
    font-size: .9rem;
    line-height: 1.7;
}

/* メニューボタン設定 */
.menu {
    margin: 0 6% 13%;
    text-align: center;
}

.menuBtn {
    margin: 0 auto 30px;
    padding: 5%;
    width: 80%;
    height: auto;
    background-color: #8CAFA4;
    border-radius: 20px;
    color: #fff;
    display: flex;
    justify-content: space-around;
    align-items: center;
    box-shadow: 3px 4px 4px #B2BEB5;
}

.leftBox1 {
    padding: 10% 0 10% 5%;
}

.rightBox1 {
    flex-basis: 50%;
    height: 3vh;
}

.rightBox11 {
    flex-basis: 50%;
    height: 12vh;
}

.leftBox2 {
    padding: 10% 5% 10% 0;
}

.rightBox2 {
    flex-basis: 40%;
    height: 5vh;
}

.reverse {
    flex-direction: row-reverse;
    padding-right: 15px;
}

.menuBtn h4 {
    font-size: 1.4rem;
    font-weight: 400;
}

.menuBtn p {
    font-size: .8rem;
}

.menuBtn:hover {
    opacity: 0.8;
    cursor: pointer;
}

/* 予約ボタン設定 */
.booking {
    display: flex;
    margin: 0 6% 13%;
    text-align: center;
}

.bookingBtn {
    margin: 0 auto 25px;
    width: 43%;
    height: auto;
    background-color: #fff;
    border-radius: 20px;
    font-size: .75rem;
    line-height: 3.5;
    border: 1px solid #666;
    text-align: center;
    transition: all 0.3s;
}

.bookingBtn:hover {
    font-weight: bold;
    background-color: #C3D5C7;
    border: 1px solid #C3D5C7;
    cursor: pointer;
    opacity: .8;
    transition: all 0.3s;
}

/* フッター設定 */
footer {
    text-align: center;
}






/* ----------------------
 ヘアスタイルページ設定
---------------------- */
/* ヘアスタイル選択ボタン */
.button {
    margin: 0 10% 10%;
    text-align: center;
}

button {
    width: 25%;
    border: none;
    padding: 2% 5%;
    border-radius: 20px;
    margin: 1%;
    background-color: #fff;
    color: #8CAFA4;
    border: 1px solid #8CAFA4;
}

button:hover {
    cursor: pointer;
    background-color: #8CAFA4;
    color: white;
}

button.active {
    background-color: #8CAFA4;
    color: white;
}

button {
    background-color: white;
    /* 初期状態は白 */
    transition: background-color 0.3s;
    /* 背景色の変更にアニメーションを追加 */
}

.searchBtn {
    font-size: 1rem;
    margin: 0 10% 10%;
    text-align: center;
}


/* ヘアスタイル写真 */
#gallery {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    margin: 0 10%;
    text-align: center;
}

#gallery a {
    flex-basis: 45%;
    /* 各リンクが45%の幅を持つ */
    margin-bottom: 5%;
    display: block;
    /* デフォルトでブロック表示 */
}

#gallery img {
    width: 100%;
    /* リンク内の画像が100%の幅を持つ */
    border-radius: 5px;
    display: block;
    /* デフォルトでブロック表示 */
}




/* ----------------------
 メニューページ設定
---------------------- */
.menuMain {
    margin: 0 10% 13%;
}

#menu .title {
    margin: 6% 6% 15%;
    text-align: center;
}

/* カテゴリー選択設定 */
.price {
    display: none;
    /* デフォルトで非表示 */
}

.price.active {
    display: block;
    /* activeクラスが付いたセクションのみ表示 */
}

.category-dropdown {
    text-align: right;
    margin: 0 10%;
}

#category-select,
#category-select .all {
    font-family: "Zen Maru Gothic", serif;
    font-weight: 400;
    font-style: normal;
    font-size: .9rem;
}

/* 料金表の設定 */
.flexMenu,
.flexMenuTitle {
    display: flex;
    justify-content: space-between;
    font-size: .8rem;
    margin: 4% 0;
    letter-spacing: 1px;
}

.flexMenuTitle {
    font-size: .85rem;
}

.menuLine {
    position: relative;
}

.menuLine:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    /* 親要素全体の幅にする */
    height: .5px;
    background-color: #8CAFA4;
}

.price {
    margin: 0 10% 20%;
}

.note {
    font-size: .7rem;
}

/* 注釈の文字調整 */
.flexNote {
    font-size: .6rem;
    line-height: 3;
}

.flexMenu small {
    font-size: .6rem;
}




/* ----------------------
 スタイリストページ設定
---------------------- */
.staff {
    margin: 0 15%;
    text-align: center;
}

.stylist {
    margin-bottom: 60px;
}

.stylist:last-of-type {
    margin-bottom: 100px;
}

.stylist img {
    width: 85%;
    height: 30vh;
    border-radius: 30px;
    object-fit: cover;
    margin-bottom: 10px;
}

.stylist p {
    font-size: .8rem;
    margin-left: 3%;
    text-align: left;
}

.name {
    display: flex;
    justify-content: space-between;
    font-size: 1rem;
}

.name p {
    font-weight: bold;
}

.name img {
    width: 10%;
    height: auto;
    object-fit: contain;
}

/* 採用情報 */
.recruit {
    text-align: center;
    font-size: 1rem;
    margin: 0 0 30%;
    background-image: linear-gradient(90deg, rgba(255, 247, 229, 1), rgba(218, 245, 236, 1));
    padding: 5%;
}

.recruit h3::after {
    content: "";
    display: block;
    width: 150px;
    height: .5px;
    background-color: #8CAFA4;
    margin: 5px auto 20px;
}

.recruit img {
    width: 80%;
    height: auto;
    object-fit: cover;
    border-radius: 10px;
    margin: 10px 0 10px;
}

.recruit p {
    font-size: .8rem;
}

.recruit span {
    font-size: .6rem;
}

/* 募集要項ボタン */
.enter {
    width: 50%;
    height: auto;
    border-radius: 30px;
    border: 1px solid #555;
    line-height: 3;
    margin: 20px auto;
    transition: all 0.3s;
}

.enter:hover {
    font-weight: bold;
    background-color: #fff;
    border: 1px solid #C3D5C7;
    opacity: .8;
    transition: all 0.3s;
}




/* ----------------------
 サロンページ設定
---------------------- */
.news {
    margin: 0 10% 25%;
    height: 50vh;
    overflow: scroll;
    font-size: .75rem;
}

.news h4 {
    font-size: 1rem;
    text-align: center;
}

.news h4::after {
    display: block;
    content: "";
    width: 100%;
    height: .5px;
    background-color: #8CAFA4;
    margin-bottom: 30px;
}

.salonLine::after {
    display: block;
    content: "";
    width: 100%;
    height: .5px;
    background-color: #8CAFA4;
    margin-top: 25px;
}

.newsInner {
    margin: 0 5% 3%;
}

.news .date,
.news .newsTitle {
    font-size: .8rem;
    font-weight: bold;
}

.newsTxt {
    font-size: .8rem;
    line-height: 1.7;
}

.flexSalon {
    display: flex;
    font-size: .8rem;
}

.item11 {
    flex-basis: 25%;
}

.item12 {
    flex-basis: 60%;
}

/* お知らせ背景色・スクロールバー設定 */
.reviewArea::-webkit-scrollbar {
    width: 13px;
    height: auto;
    background-color: #fff;
    border-radius: 10px;
}

.reviewArea::-webkit-scrollbar-thumb {
    background-color: #C3D5C7;
    border-radius: 10px;
}

.reviewArea {
    overflow-x: hidden;
}

/* 店舗 */
.flexShop {
    display: flex;
}

.shop {
    margin: 0 10% 10%;
}

.circle {
    justify-content: space-between;
    margin-bottom: 35%;
}

.circle1,
.circle2,
.circle3 {
    width: 95px;
    /* 幅を固定 */
    height: 100px;
    /* 高さを固定 */
    background-color: #8CAFA4;
    border-radius: 50%;
    text-align: center;
    font-size: .85rem;
    color: #fff;
    padding: 22px 10px 0;
}

h5 {
    font-size: .9rem;
}

#ashiya img,
#okamoto img,
#koshien img {
    width: 100%;
    height: auto;
    object-fit: cover;
    /* border: 1px solid #666; */
    border-radius: 20px;
}

#ashiya p,
#okamoto p,
#koshien p {
    font-size: .8rem;
    line-height: 1.7;
}

#ashiya,
#okamoto,
#koshien {
    margin-bottom: 40%;
}

.item3 {
    flex-basis: 70%;
}

.item4 {
    flex-basis: 30%;
}

.item4:hover {
    cursor: pointer;
    color: rosybrown;
}

h6 {
    text-align: center;
    font-size: .8rem;
}

.shoptime {
    margin: 8% 15%;
    font-size: .75rem;

}

h6::after {
    display: block;
    content: "";
    width: 100%;
    height: .5px;
    background-color: #666;
}

.item5 {
    flex-basis: 35%;
    margin-left: 30px;
}

.item6 {
    flex-basis: 50%;
}

#koshien span {
    color: #B47C7C;
    font-size: 1rem;
}

/* 予約ボタン */
.salonreserve {
    text-align: center;
}

.reserveBtn {
    margin: 0 auto 5%;
    width: 80%;
    height: auto;
    background-color: #fff;
    border: 1px solid #666;
    border-radius: 20px;
    font-size: .75rem;
    transition: all 0.3s;
}

.reserveBtn:hover {
    font-weight: bold;
    background-color: #C3D5C7;
    border: 1px solid #C3D5C7;
    cursor: pointer;
    opacity: .8;
    transition: all 0.3s;
}

.reserveBtn:last-of-type {
    line-height: 3.4 !important;
}



/* モバイル画面時の非表示設定 */
.right_col,
.left_col {
    display: none;
}

#style,
#menu,
#stylist,
#salon {
    display: none;
}



/* ----------------------
パソコン画面サイズ設定
---------------------- */
@media (min-width: 401px) {
    body {
        position: relative;
        margin: 0;
        height: 100vh;
        overflow-y: hidden;
    }

    .menu {
        display: none;
    }

    /* 左サイド・右サイド・モバイル画面の横並び設定 */
    .flexAll {
        width: 100vw;
        display: flex;
        justify-content: space-evenly;
        height: 100%;
    }

    /* 左サイド */
    .pc_logo img {
        width: 25%;
        position: fixed;
        top: -10%;
        left: 4%;
    }

    .pc_logo p {
        width: 25%;
        position: fixed;
        bottom: 10%;
        left: 15%;
        font-size: calc(1vw + 1rem);
        line-height: 1.5;
    }

    .left_col {
        display: flex;
        flex-basis: 40%;
        overflow: hidden;
        /* コンテンツがはみ出した場合に隠す */
    }

    .gallerySlick {
        width: 20%;
        height: auto;
        object-fit: cover;
        border-radius: 43% 66% 44% 59% / 69% 59% 51% 41%;
        overflow: hidden;
        position: fixed;
        top: 35%;
        left: 10%;
    }

    .gallerySlick img {
        width: 100%;
        height: auto;
        display: block;
        opacity: .9;
        animation-name: rotate1;
        animation-duration: 5s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
    }

    @keyframes rotate1 {
        0% {
            transform: rotate(0deg);
        }

        30% {
            transform: rotate(-3deg);
        }

        80% {
            transform: rotate(3deg);
        }

        100% {
            transform: rotate(0deg);
        }
    }



    /* モバイル画面（中央）PC時はスクロール可能に */
    .mobile-container {
        max-width: 400px;
        flex-basis: 30%;
        order: 2;
        background-color: #fff;
        border: 1px solid #8CAFA4;
        z-index: 1000;
        overflow-y: auto;
        height: 100vh;
        max-height: 100vh;
    }

    /* 右サイド */
    .right_col {
        display: inline-block;
        flex-basis: 30%;
        order: 3;
        /* ここにナビゲーションスタイルを追加 */
    }

    .pc_footer {
        position: fixed;
        bottom: 10px;
        text-align: center;
    }

    .pcBookingBtn:hover {
        font-weight: bold;
        background-color: #C3D5C7;
        border: 1px solid #C3D5C7;
        cursor: pointer;
        opacity: .8;
        transition: all 0.3s;
    }

    .pc_insta {
        width: 33%;
        margin-top: 2%;
        margin: 0 auto;
    }

    .pc_insta ul {
        display: flex;
        justify-content: space-evenly;
        margin: 0;
    }

    .pc_insta ul li {
        width: 20%;
    }

    .pc_copyright {
        font-size: .8rem;
    }

    /* パソコン画面の背景設定 */
    .background {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-image: url(../img/backimg/01.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        opacity: .6;
        z-index: -1;
    }

    nav {
        display: none;
    }

    /* パソコン画面の表示設定 */
    #style,
    #menu,
    #stylist,
    #salon {
        display: block;
    }

    /* 余白の調整 */
    .booking {
        margin-bottom: 30%;
    }

    .recruit {
        margin-bottom: 30%;
    }

    #gallery {
        margin-bottom: 20%;
    }

    #gallery img:hover {
        opacity: .7;
    }
}